Appearance
Find idea by ID
Ideas
By default returns a visible idea. To fetch a trashed idea a valid moderatorId value is required.
GET
/ideas/{id}
Parameters
Path Parameters
id*
ID of the idea to interact with
Type
Requiredstring
Query Parameters
moderatorId
ID of the moderator fetching the idea
Type
string
resolveEmbeds
When set to true, resolves oembed URLs in the content and replaces them with embed HTML
Type
boolean
Default
falseResponses
Successful response
application/json
JSON "result": { "id": "string", "publicId": "string", "title": "string", "content": "string", "author": { "id": "7", "username": "john-doe", "customTitle": "awesome_user", "signature": "awesome_user", "avatar": "http://example.com/avatar123.jpg", "reputation": { "rank": "senior_replier", "rankIcon": "http://example.com/rank-icon.jpg", "rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg", "likesReceived": 0, "repliesMade": 0 } }, "submittedAt": "string", "lastActivityAt": "string", "replyCount": 0, "spamReplyCount": 0, "pendingReplyCount": 0, "trashedReplyCount": 0, "totalReplyCount": 0, "inclusiveReplyCount": 0, "inclusiveVisibleReplyCount": 0, "tags": [ "string" ], "moderatorTags": [ "string" ], "votedBy": [ "string" ], "sticky": true, "closed": true, "trashed": true, "spam": true, "reported": true, "reportedContent": [ { "id": "string", "reason": "string", "reportedAt": "string", "reportedBy": { "id": "7", "username": "john-doe", "customTitle": "awesome_user", "signature": "awesome_user", "avatar": "http://example.com/avatar123.jpg", "reputation": { "rank": "senior_replier", "rankIcon": "http://example.com/rank-icon.jpg", "rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg", "likesReceived": 0, "repliesMade": 0 } } } ], "assignedModerator": "string", "moderationLabel": { "id": "1", "title": "Moderation Label" }, "pinnedReplyId": "string", "productAreas": [ "string" ], "ideaStatusChangedAt": "string", "seoCommunityUrl": "string" }
{
}

